Bug 4954 - Unpacking does not work correctly with native flasher 3.5 on Windows
: Unpacking does not work correctly with native flasher 3.5 on Windows
Status: CLOSED FIXED
Product: Flasher
Windows
: 5.0/(1.2009.41-10)
: All Windows
: Low enhancement with 1 vote (vote)
: 5.0/(2.2009.51-1)
Assigned To: Jarmo Tikka
: flasher-windows-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-08-20 14:49 UTC by Henry Ovaskainen
Modified: 2010-03-16 14:56 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Henry Ovaskainen (reporter) 2009-08-20 14:49:39 UTC
Flasher downloaded from:
http://tablets-dev.nokia.com/maemo-dev-env-downloads.php?f=setup_maemo_flasher-3.5_2.4.5.3_beta.exe

It looks that native flasher can't unpack FIASCO image correctly on windows.
If I unpack FIASCO image:

C:\Program Files\maemo\flasher-3.5>flasher-3.5.exe -F "c:\Documents and
Settings\heovaska\.mica\flasher\RX-44_DIABLO_5.2008.43-7_PR_COMBINED_MR0_ARM.bin"
-u
flasher v2.4.5 (Jun  8 2009)

And try to flash images separately, I will get an error:
Flashing initfs... done.
Sending and flashing rootfs image (123308 kB)...
  1% (1536 of 123308 kB, 10971 kB/s)
Write failed after 1572864 bytes
usb_bulk_write: No error


If I unpack FIASCO image using linux and then copy those images to windows and
compare size of images I can see the difference.

So images which are unpacked using linux are working properly on windows, but
if I unpack FIASCO image using windows I'm having this problem. 


============images unpacked on linux (copied to win) =====
C:\Program Files\maemo\flasher-3.5\linux_unpack>dir


 Directory of C:\Program Files\maemo\flasher-3.5\linux_unpack

13.08.2009  13:52    <DIR>          .
13.08.2009  13:52    <DIR>          ..
13.08.2009  13:44                 0 2nd.bin-RX-44
13.08.2009  13:44         2 327 808 initfs.jffs2
13.08.2009  13:44       125 435 904 rootfs.jffs2
13.08.2009  13:41       129 537 556
RX-44_DIABLO_5.2008.43-7_PR_COMBINED_MR0_ARM.bin
13.08.2009  13:44                 0 secondary.bin-RX-44
13.08.2009  13:44                 0 xloader.bin-RX-44
13.08.2009  13:44         1 536 640 zImage

C:\Program Files\maemo\flasher-3.5\linux_unpack>


============Image size unpacked with Windows==========================

 Directory of C:\Program Files\maemo\flasher-3.5

13.08.2009  13:54    <DIR>          .
13.08.2009  13:54    <DIR>          ..
13.08.2009  13:29                 0 2nd.bin-RX-44
08.06.2009  17:58           117 595 flasher-3.5.exe
13.08.2009  13:29         2 335 288 initfs.jffs2
13.08.2009  13:29       126 267 819 rootfs.jffs2
13.08.2009  13:29                 0 secondary.bin-RX-44
13.08.2009  13:29                 0 xloader.bin-RX-44
13.08.2009  13:29         1 540 863 zImage
C:\Program Files\maemo\flasher-3.5>





REPRODUCIBILITY:
always



User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.2)
Gecko/20090729 Firefox/3.5.2
Comment 1 Jarmo Tikka nokia 2009-08-24 10:21:10 UTC
We are working on this problem for the final flasher-3.5 release. Problem
itself looks very odd as unpacking FIASCO image should not be operating system
specific task.
Comment 2 Jarmo Tikka nokia 2009-10-27 12:53:56 UTC
This has now been fixed for Maemo Flasher-3.5 Tool final release here:
http://maemo.org/news/announcements/maemo_flasher-3-5_tool_final_for_fremantle_and_diablo_released/
Comment 3 Henry Ovaskainen (reporter) 2009-10-27 13:46:07 UTC
Works ok with final version maemo_flasher-3.5_2.5.2.2.exe
Comment 4 Andre Klapper maemo.org 2010-03-15 21:10:29 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 5 Jarmo Tikka nokia 2010-03-16 14:56:57 UTC
Just updated Fremantle release this bug fix WAS available :) and at the same
time closed this bug report as fixed and verified.